<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: createRecursiveFunctMatchers.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('create_recursive_funct_matchers_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">createRecursiveFunctMatchers.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;clang/ASTMatchers/ASTMatchers.h&quot;</code><br />
<code>#include &quot;clang/ASTMatchers/ASTMatchFinder.h&quot;</code><br />
<code>#include &quot;clang/Basic/SourceManager.h&quot;</code><br />
<code>#include &quot;clang/Frontend/FrontendActions.h&quot;</code><br />
<code>#include &quot;clang/Lex/Lexer.h&quot;</code><br />
<code>#include &quot;clang/Tooling/Refactoring.h&quot;</code><br />
<code>#include &quot;clang/Tooling/Tooling.h&quot;</code><br />
<code>#include &quot;llvm/ADT/Twine.h&quot;</code><br />
<code>#include &quot;clang/Tooling/CommonOptionsParser.h&quot;</code><br />
<code>#include &quot;llvm/Support/CommandLine.h&quot;</code><br />
<code>#include &quot;llvm/Support/MemoryBuffer.h&quot;</code><br />
<code>#include &quot;llvm/Support/Path.h&quot;</code><br />
<code>#include &quot;llvm/Support/raw_ostream.h&quot;</code><br />
<code>#include &quot;llvm/Support/FileSystem.h&quot;</code><br />
<code>#include &quot;<a class="el" href="refactor-powertrain-matchers_8h_source.html">refactor-powertrain-matchers.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_match_process_body_8h_source.html">MatchProcessBody.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_match_global_var_refs_8h_source.html">MatchGlobalVarRefs.h</a>&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;dirent.h&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
<code>#include &lt;mongocxx/client.hpp&gt;</code><br />
<code>#include &lt;mongocxx/instance.hpp&gt;</code><br />
<code>#include &lt;mongocxx/uri.hpp&gt;</code><br />
<code>#include &lt;<a class="el" href="postgres_interface_8hpp_source.html">postgresInterface.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="search_path_utilities_8hpp_source.html">searchPathUtilities.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp_source.html">FlattenASAMMDXxml.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for createRecursiveFunctMatchers.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="create_recursive_funct_matchers_8hpp__incl.png" border="0" usemap="#create_recursive_funct_matchers_8hpp" alt=""/></div>
<map name="create_recursive_funct_matchers_8hpp" id="create_recursive_funct_matchers_8hpp">
<area shape="rect" title=" " alt="" coords="4022,5,4273,32"/>
<area shape="rect" title=" " alt="" coords="5,87,252,114"/>
<area shape="rect" title=" " alt="" coords="276,80,491,121"/>
<area shape="rect" title=" " alt="" coords="515,87,727,114"/>
<area shape="rect" title=" " alt="" coords="751,87,989,114"/>
<area shape="rect" title=" " alt="" coords="1013,87,1148,114"/>
<area shape="rect" title=" " alt="" coords="1172,87,1371,114"/>
<area shape="rect" title=" " alt="" coords="1395,87,1564,114"/>
<area shape="rect" title=" " alt="" coords="1588,87,1723,114"/>
<area shape="rect" title=" " alt="" coords="1747,80,1967,121"/>
<area shape="rect" title=" " alt="" coords="1991,87,2205,114"/>
<area shape="rect" title=" " alt="" coords="2230,87,2443,114"/>
<area shape="rect" title=" " alt="" coords="2467,87,2617,114"/>
<area shape="rect" title=" " alt="" coords="2641,87,2848,114"/>
<area shape="rect" title=" " alt="" coords="2872,87,3065,114"/>
<area shape="rect" href="refactor-powertrain-matchers_8h.html" title=" " alt="" coords="3089,80,3237,121"/>
<area shape="rect" href="_match_process_body_8h.html" title=" " alt="" coords="3262,87,3417,114"/>
<area shape="rect" href="_match_global_var_refs_8h.html" title=" " alt="" coords="3441,87,3608,114"/>
<area shape="rect" title=" " alt="" coords="3369,177,3449,203"/>
<area shape="rect" title=" " alt="" coords="3473,177,3547,203"/>
<area shape="rect" title=" " alt="" coords="6231,87,6298,114"/>
<area shape="rect" title=" " alt="" coords="3948,177,4013,203"/>
<area shape="rect" title=" " alt="" coords="4038,177,4105,203"/>
<area shape="rect" title=" " alt="" coords="4129,177,4203,203"/>
<area shape="rect" title=" " alt="" coords="3270,177,3345,203"/>
<area shape="rect" title=" " alt="" coords="3571,177,3630,203"/>
<area shape="rect" title=" " alt="" coords="6322,87,6389,114"/>
<area shape="rect" title=" " alt="" coords="4227,177,4302,203"/>
<area shape="rect" title=" " alt="" coords="3654,177,3739,203"/>
<area shape="rect" title=" " alt="" coords="4326,177,4369,203"/>
<area shape="rect" title=" " alt="" coords="4393,177,4517,203"/>
<area shape="rect" title=" " alt="" coords="3764,177,3827,203"/>
<area shape="rect" title=" " alt="" coords="4542,177,4638,203"/>
<area shape="rect" title=" " alt="" coords="3851,177,3923,203"/>
<area shape="rect" title=" " alt="" coords="5210,169,5373,211"/>
<area shape="rect" title=" " alt="" coords="5397,169,5559,211"/>
<area shape="rect" title=" " alt="" coords="5583,169,5746,211"/>
<area shape="rect" title=" " alt="" coords="5771,169,5945,211"/>
<area shape="rect" title=" " alt="" coords="5969,169,6144,211"/>
<area shape="rect" title=" " alt="" coords="6407,169,6581,211"/>
<area shape="rect" title=" " alt="" coords="6779,177,6923,203"/>
<area shape="rect" title=" " alt="" coords="6606,169,6755,211"/>
<area shape="rect" title=" " alt="" coords="6948,177,7083,203"/>
<area shape="rect" title=" " alt="" coords="6169,177,6382,203"/>
<area shape="rect" title=" " alt="" coords="4663,177,4821,203"/>
<area shape="rect" title=" " alt="" coords="4845,177,5023,203"/>
<area shape="rect" title=" " alt="" coords="5047,177,5186,203"/>
<area shape="rect" href="postgres_interface_8hpp.html" title=" " alt="" coords="4540,87,4704,114"/>
<area shape="rect" href="search_path_utilities_8hpp.html" title=" " alt="" coords="3785,87,3957,114"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html" title=" " alt="" coords="5763,87,5953,114"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="create_recursive_funct_matchers_8hpp__dep__incl.png" border="0" usemap="#create_recursive_funct_matchers_8hppdep" alt=""/></div>
<map name="create_recursive_funct_matchers_8hppdep" id="create_recursive_funct_matchers_8hppdep">
<area shape="rect" title=" " alt="" coords="5,5,256,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="57,80,205,121"/>
</map>
</div>
</div>
<p><a href="create_recursive_funct_matchers_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a4cf75803af7426f05f2d4ebc2b6118c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_recursive_funct_matchers_8hpp.html#a4cf75803af7426f05f2d4ebc2b6118c8">ClangRefactoringMatchersType</a></td></tr>
<tr class="separator:a4cf75803af7426f05f2d4ebc2b6118c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66ebd5f015f9e87b10ae2217f178c149"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_recursive_funct_matchers_8hpp.html#a66ebd5f015f9e87b10ae2217f178c149">mongocxxType</a></td></tr>
<tr class="separator:a66ebd5f015f9e87b10ae2217f178c149"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2a3f98959ffcc70910d3e16dcc17be7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_recursive_funct_matchers_8hpp.html#af2a3f98959ffcc70910d3e16dcc17be7">postgresSearchesType</a></td></tr>
<tr class="separator:af2a3f98959ffcc70910d3e16dcc17be7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a12397f1e741b5a9fa98a758126c1f1bf"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_recursive_funct_matchers_8hpp.html#a12397f1e741b5a9fa98a758126c1f1bf">convertVectorToVectorVector</a> (std::vector&lt; std::string &gt; process_vec)</td></tr>
<tr class="separator:a12397f1e741b5a9fa98a758126c1f1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6c6ed9a638cba79704c0ef16090bf30"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_recursive_funct_matchers_8hpp.html#ad6c6ed9a638cba79704c0ef16090bf30">createNewMatchers</a> (std::vector&lt; std::vector&lt; std::string &gt;&gt; res)</td></tr>
<tr class="separator:ad6c6ed9a638cba79704c0ef16090bf30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a4cf75803af7426f05f2d4ebc2b6118c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cf75803af7426f05f2d4ebc2b6118c8">&#9670;&nbsp;</a></span>ClangRefactoringMatchersType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ClangRefactoringMatchersType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a66ebd5f015f9e87b10ae2217f178c149"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66ebd5f015f9e87b10ae2217f178c149">&#9670;&nbsp;</a></span>mongocxxType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mongocxxType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af2a3f98959ffcc70910d3e16dcc17be7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2a3f98959ffcc70910d3e16dcc17be7">&#9670;&nbsp;</a></span>postgresSearchesType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define postgresSearchesType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a12397f1e741b5a9fa98a758126c1f1bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12397f1e741b5a9fa98a758126c1f1bf">&#9670;&nbsp;</a></span>convertVectorToVectorVector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::string&gt; &gt; convertVectorToVectorVector </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>process_vec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_recursive_funct_matchers_8hpp_a12397f1e741b5a9fa98a758126c1f1bf_icgraph.png" border="0" usemap="#create_recursive_funct_matchers_8hpp_a12397f1e741b5a9fa98a758126c1f1bf_icgraph" alt=""/></div>
<map name="create_recursive_funct_matchers_8hpp_a12397f1e741b5a9fa98a758126c1f1bf_icgraph" id="create_recursive_funct_matchers_8hpp_a12397f1e741b5a9fa98a758126c1f1bf_icgraph">
<area shape="rect" title=" " alt="" coords="207,5,415,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="ad6c6ed9a638cba79704c0ef16090bf30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6c6ed9a638cba79704c0ef16090bf30">&#9670;&nbsp;</a></span>createNewMatchers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; createNewMatchers </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::vector&lt; std::string &gt;&gt;&#160;</td>
          <td class="paramname"><em>res</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_recursive_funct_matchers_8hpp_ad6c6ed9a638cba79704c0ef16090bf30_cgraph.png" border="0" usemap="#create_recursive_funct_matchers_8hpp_ad6c6ed9a638cba79704c0ef16090bf30_cgraph" alt=""/></div>
<map name="create_recursive_funct_matchers_8hpp_ad6c6ed9a638cba79704c0ef16090bf30_cgraph" id="create_recursive_funct_matchers_8hpp_ad6c6ed9a638cba79704c0ef16090bf30_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,157,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="205,5,315,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_recursive_funct_matchers_8hpp_ad6c6ed9a638cba79704c0ef16090bf30_icgraph.png" border="0" usemap="#create_recursive_funct_matchers_8hpp_ad6c6ed9a638cba79704c0ef16090bf30_icgraph" alt=""/></div>
<map name="create_recursive_funct_matchers_8hpp_ad6c6ed9a638cba79704c0ef16090bf30_icgraph" id="create_recursive_funct_matchers_8hpp_ad6c6ed9a638cba79704c0ef16090bf30_icgraph">
<area shape="rect" title=" " alt="" coords="207,5,359,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="create_recursive_funct_matchers_8hpp.html">createRecursiveFunctMatchers.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
